%global maven_version 1.7.12.redhat-1
%global maven_repo_dir %{_javadir}/maven-repo
%global __jar_repack 0

Name: slf4j-api-amq
Version:        1.7.12
Release:	3%{?dist}
License:        ASL 2.0
Summary:	The Simple Logging Facade for Java: slf4j-api
Group:		Development/Java
URL:		http://www.slf4j.org/
Source0: slf4j-migrator-1.7.12.redhat-1-sources.jar
Source1: slf4j-migrator-1.7.12.redhat-1.pom
Source2: slf4j-migrator-1.7.12.redhat-1.jar
Source3: slf4j-nop-1.7.12.redhat-1.pom
Source4: slf4j-nop-1.7.12.redhat-1-sources.jar
Source5: slf4j-nop-1.7.12.redhat-1.jar
Source6: slf4j-android-1.7.12.redhat-1.jar
Source7: slf4j-android-1.7.12.redhat-1.pom
Source8: slf4j-android-1.7.12.redhat-1-sources.jar
Source9: slf4j-jdk14-1.7.12.redhat-1.jar
Source10: slf4j-jdk14-1.7.12.redhat-1.pom
Source11: slf4j-jdk14-1.7.12.redhat-1-sources.jar
Source12: slf4j-ext-1.7.12.redhat-1.jar
Source13: slf4j-ext-1.7.12.redhat-1-sources.jar
Source14: slf4j-ext-1.7.12.redhat-1.pom
Source15: slf4j-simple-1.7.12.redhat-1.pom
Source16: slf4j-simple-1.7.12.redhat-1-sources.jar
Source17: slf4j-simple-1.7.12.redhat-1.jar
Source19: slf4j-parent-1.7.12.redhat-1.pom
Source20: slf4j-jcl-1.7.12.redhat-1.pom
Source21: slf4j-jcl-1.7.12.redhat-1.jar
Source22: slf4j-jcl-1.7.12.redhat-1-sources.jar
Source23: slf4j-log4j12-1.7.12.redhat-1.pom
Source24: slf4j-log4j12-1.7.12.redhat-1-sources.jar
Source25: slf4j-log4j12-1.7.12.redhat-1.jar
Source26: osgi-over-slf4j-1.7.12.redhat-1.pom
Source27: osgi-over-slf4j-1.7.12.redhat-1.jar
Source28: osgi-over-slf4j-1.7.12.redhat-1-sources.jar
Source29: jul-to-slf4j-1.7.12.redhat-1.jar
Source30: jul-to-slf4j-1.7.12.redhat-1.pom
Source31: jul-to-slf4j-1.7.12.redhat-1-sources.jar
Source32: slf4j-api-1.7.12.redhat-1.pom
Source33: slf4j-api-1.7.12.redhat-1-sources.jar
Source34: slf4j-api-1.7.12.redhat-1.jar
Source35: slf4j-api-1.7.12.redhat-1-tests.jar
Source36: jcl-over-slf4j-1.7.12.redhat-1.pom
Source37: jcl-over-slf4j-1.7.12.redhat-1.jar
Source38: jcl-over-slf4j-1.7.12.redhat-1-sources.jar
Source39: slf4j-site-1.7.12.redhat-1.jar
Source40: slf4j-site-1.7.12.redhat-1.pom
Source41: slf4j-site-1.7.12.redhat-1-sources.jar
Source42: integration-1.7.12.redhat-1.pom
Source43: integration-1.7.12.redhat-1.jar
Source44: log4j-over-slf4j-1.7.12.redhat-1-sources.jar
Source45: log4j-over-slf4j-1.7.12.redhat-1.pom
Source46: log4j-over-slf4j-1.7.12.redhat-1.jar
Source100:      slf4j-parent-%{maven_version}-scm-sources.zip 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: 	noarch

%description
The Simple Logging Facade for Java (SLF4J) serves as a simple facade or abstraction for various logging frameworks (e.g. java.util.logging, logback, log4j) allowing the end user to plug in the desired logging framework at deployment time.

%package maven-repo
Summary:        The Simple Logging Facade for Java: slf4j-api
Group:          Development/Java
Requires:       slf4j-api-amq = %{version}-%{release}

%description maven-repo
Maven repository for slf4j-api.

%prep
%setup -q -T -b 100 -n slf4j-%{version}

%build

%install
rm -rf %{buildroot}

function maven_checksums() {
  local FILEPATH=$1
  local DESTFILE=$2
  if [ -z "$DESTFILE" ]; then
    DESTFILE=$FILEPATH
  fi
  md5sum $FILEPATH | cut -d' ' -f1 > $DESTFILE.md5
  sha1sum $FILEPATH | cut -d' ' -f1 > $DESTFILE.sha1
}

function populate_maven_repo() {
  local POMPATH=$1
  local POMDIR=${POMPATH%/*}
  local POMFILE=${POMPATH##*/}
  local JARBASE=${POMFILE%.pom}
  %{__mkdir_p} %{buildroot}%{maven_repo_dir}/$POMDIR
  %{__install} -pm 644 %{_sourcedir}/$POMFILE \
                       %{buildroot}%{maven_repo_dir}/$POMDIR
  maven_checksums %{buildroot}%{maven_repo_dir}/$POMDIR/$POMFILE
  local VERSION=${POMDIR##*/}
  local PARENTDIR=${POMDIR%/*}
  local ARTIFACTID=${PARENTDIR##*/}
  local GROUPPATH=${PARENTDIR%/*}
  local GROUPID=${GROUPPATH//\//.}
  cat > %{buildroot}%{maven_repo_dir}/$PARENTDIR/maven-metadata.xml <<EOF
<metadata>
  <groupId>$GROUPID</groupId>
  <artifactId>$ARTIFACTID</artifactId>
  <versioning>
    <release>$VERSION</release>
    <versions>
      <version>$VERSION</version>
    </versions>
    <lastUpdated>$(date +%%Y%%m%%d%%H%%M%%S)</lastUpdated>
  </versioning>
</metadata>
EOF
  maven_checksums %{buildroot}%{maven_repo_dir}/$PARENTDIR/maven-metadata.xml
  for jarpath in %{buildroot}%{_javadir}/%{name}-%{version}/$JARBASE*.jar; do
    if [ -f $jarpath ]; then
      JARFILE=$(basename $jarpath)
      ln -s %{_javadir}/%{name}-%{version}/$JARFILE \
            %{buildroot}%{maven_repo_dir}/$POMDIR/$JARFILE
      maven_checksums %{buildroot}%{_javadir}/%{name}-%{version}/$JARFILE \
        %{buildroot}%{maven_repo_dir}/$POMDIR/$JARFILE
    fi
  done
}

%{__install} -dm 755 %{buildroot}%{_javadir}
%{__install} -dm 755 %{buildroot}%{_javadir}/%{name}-%{version}

%{__install} -pm 644 %{SOURCE33} %{buildroot}%{_javadir}/%{name}-%{version}
%{__install} -pm 644 %{SOURCE34} %{buildroot}%{_javadir}/%{name}-%{version}
%{__install} -pm 644 %{SOURCE35} %{buildroot}%{_javadir}/%{name}-%{version}

populate_maven_repo org/slf4j/slf4j-parent/1.7.12.redhat-1/slf4j-parent-1.7.12.redhat-1.pom
populate_maven_repo org/slf4j/slf4j-api/1.7.12.redhat-1/slf4j-api-1.7.12.redhat-1.pom

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{_javadir}/%{name}-%{version}
%{_javadir}/%{name}-%{version}/*.jar
%doc LICENSE.txt
%doc README.md

%files maven-repo
%defattr(-,root,root,-)
%{maven_repo_dir}

%changelog
* Tue Jul 21 2015 Irina Boverman <iboverma@redhat.com> - 1.7.12-3
- Corrected dependencies

* Mon Jul 20 2015 Irina Boverman <iboverma@redhat.com> - 1.7.12-2
- Updated dependencies

* Thu May 21 2015 Irina Boverman <iboverma@redhat.com> - 1.7.12-1
- Rebased to 1.7.12

* Fri May 15 2015 Irina Boverman <iboverma@redhat.com> - 1.7.10-5
- Corrected JARBASE definition

* Fri May 15 2015 Irina Boverman <iboverma@redhat.com> - 1.7.10-4
- Corrected flow

* Wed May 13 2015 Irina Boverman <iboverma@redhat.com> - 1.7.10-3
- Add maven-repo subpackage

* Mon May 11  2015 Irina Boverman <iboverma@redhat.com> - 1.7.10-2
- Re-structured into one package

* Fri May  8  2015 Irina Boverman <iboverma@redhat.com> - 1.7.10-1
- Initial creation of wrapper rpm
